MediaWiki:Vector.css: Difference between revisions

No edit summary
Wiki CSS Fixes
Line 38: Line 38:
--image-arrow-expand-icon: url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22UTF-8%22%3F%3E%0A%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2212%22%20height%3D%2212%22%3E%0A%09%3Cpath%20fill%3D%22%23CEF582%22%20d%3D%22M1.165%203.624h9.671L5.965%208.376z%22%2F%3E%0A%3C%2Fsvg%3E%0A);
--image-arrow-expand-icon: url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22UTF-8%22%3F%3E%0A%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2212%22%20height%3D%2212%22%3E%0A%09%3Cpath%20fill%3D%22%23CEF582%22%20d%3D%22M1.165%203.624h9.671L5.965%208.376z%22%2F%3E%0A%3C%2Fsvg%3E%0A);
--image-indicator-down-icon: url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22utf-8%22%3F%3E%0A%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2212%22%20height%3D%2212%22%20viewBox%3D%220%200%2012%2012%22%3E%0A%20%20%20%20%3Cg%20id%3D%22down%22%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20id%3D%22arrow%22%20d%3D%22M1%204h10L6%209%201%204%22%20fill%3D%22%23CEF582%22%2F%3E%0A%20%20%20%20%3C%2Fg%3E%0A%3C%2Fsvg%3E);
--image-indicator-down-icon: url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22utf-8%22%3F%3E%0A%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2212%22%20height%3D%2212%22%20viewBox%3D%220%200%2012%2012%22%3E%0A%20%20%20%20%3Cg%20id%3D%22down%22%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20id%3D%22arrow%22%20d%3D%22M1%204h10L6%209%201%204%22%20fill%3D%22%23CEF582%22%2F%3E%0A%20%20%20%20%3C%2Fg%3E%0A%3C%2Fsvg%3E);
--image-indicator-help-icon: url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22utf-8%22%3F%3E%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2224%22%20height%3D%2224%22%20viewBox%3D%220%200%2024%2024%22%3E%3Cg%20fill%3D%22%23CEF582%22%3E%3Cpath%20d%3D%22M12.001%202.085c-5.478%200-9.916%204.438-9.916%209.916%200%205.476%204.438%209.914%209.916%209.914%205.476%200%209.914-4.438%209.914-9.914%200-5.478-4.438-9.916-9.914-9.916zm.001%2018c-4.465%200-8.084-3.619-8.084-8.083%200-4.465%203.619-8.084%208.084-8.084%204.464%200%208.083%203.619%208.083%208.084%200%204.464-3.619%208.083-8.083%208.083z%22%2F%3E%3Cg%3E%3Cpath%20d%3D%22M11.766%206.688c-2.5%200-3.219%202.188-3.219%202.188l1.411.854s.298-.791.901-1.229c.516-.375%201.625-.625%202.219.125.701.885-.17%201.587-1.078%202.719-.953%201.186-1%203.655-1%203.655h1.969s.135-2.318%201.041-3.381c.603-.707%201.443-1.338%201.443-2.494s-1.187-2.437-3.687-2.437z%22%2F%3E%3Cpath%20d%3D%22M11%2016h2v2h-2z%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E);
--image-checkmark-icon: url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22UTF-8%22%20standalone%3D%22no%22%3F%3E%0A%3C%21DOCTYPE%20svg%20PUBLIC%20%22-%2F%2FW3C%2F%2FDTD%20SVG%201.1%2F%2FEN%22%20%22http%3A%2F%2Fwww.w3.org%2FGraphics%2FSVG%2F1.1%2FDTD%2Fsvg11.dtd%22%3E%0A%3Csvg%20width%3D%22100%25%22%20height%3D%22100%25%22%20viewBox%3D%220%200%2024%2024%22%20version%3D%221.1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20xml%3Aspace%3D%22preserve%22%20xmlns%3Aserif%3D%22http%3A%2F%2Fwww.serif.com%2F%22%20style%3D%22fill-rule%3Aevenodd%3Bclip-rule%3Aevenodd%3Bstroke-linejoin%3Around%3Bstroke-miterlimit%3A2%3B%22%3E%0A%20%20%20%20%3Cpath%20d%3D%22M20.285%2C2L9%2C13.567L3.714%2C8.556L0%2C12.272L9%2C21L24%2C5.715L20.285%2C2Z%22%20style%3D%22fill%3Argb%28206%2C245%2C130%29%3Bfill-rule%3Anonzero%3B%22%2F%3E%0A%3C%2Fsvg%3E);
--image-checkmark-icon: url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22UTF-8%22%20standalone%3D%22no%22%3F%3E%0A%3C%21DOCTYPE%20svg%20PUBLIC%20%22-%2F%2FW3C%2F%2FDTD%20SVG%201.1%2F%2FEN%22%20%22http%3A%2F%2Fwww.w3.org%2FGraphics%2FSVG%2F1.1%2FDTD%2Fsvg11.dtd%22%3E%0A%3Csvg%20width%3D%22100%25%22%20height%3D%22100%25%22%20viewBox%3D%220%200%2024%2024%22%20version%3D%221.1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20xml%3Aspace%3D%22preserve%22%20xmlns%3Aserif%3D%22http%3A%2F%2Fwww.serif.com%2F%22%20style%3D%22fill-rule%3Aevenodd%3Bclip-rule%3Aevenodd%3Bstroke-linejoin%3Around%3Bstroke-miterlimit%3A2%3B%22%3E%0A%20%20%20%20%3Cpath%20d%3D%22M20.285%2C2L9%2C13.567L3.714%2C8.556L0%2C12.272L9%2C21L24%2C5.715L20.285%2C2Z%22%20style%3D%22fill%3Argb%28206%2C245%2C130%29%3Bfill-rule%3Anonzero%3B%22%2F%3E%0A%3C%2Fsvg%3E);
--image-search-icon: url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20height%3D%221em%22%20viewBox%3D%220%200%20512%20512%22%3E%3C%21--%21%20Font%20Awesome%20Free%206.4.2%20by%20%40fontawesome%20-%20https%3A%2F%2Ffontawesome.com%20License%20-%20https%3A%2F%2Ffontawesome.com%2Flicense%20%28Commercial%20License%29%20Copyright%202023%20Fonticons%2C%20Inc.%20--%3E%3Cstyle%3Esvg%7Bfill%3A%23CEF582%7D%3C%2Fstyle%3E%3Cpath%20d%3D%22M416%20208c0%2045.9-14.9%2088.3-40%20122.7L502.6%20457.4c12.5%2012.5%2012.5%2032.8%200%2045.3s-32.8%2012.5-45.3%200L330.7%20376c-34.4%2025.2-76.8%2040-122.7%2040C93.1%20416%200%20322.9%200%20208S93.1%200%20208%200S416%2093.1%20416%20208zM208%20352a144%20144%200%201%200%200-288%20144%20144%200%201%200%200%20288z%22%2F%3E%3C%2Fsvg%3E);
--image-search-icon: url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20height%3D%221em%22%20viewBox%3D%220%200%20512%20512%22%3E%3C%21--%21%20Font%20Awesome%20Free%206.4.2%20by%20%40fontawesome%20-%20https%3A%2F%2Ffontawesome.com%20License%20-%20https%3A%2F%2Ffontawesome.com%2Flicense%20%28Commercial%20License%29%20Copyright%202023%20Fonticons%2C%20Inc.%20--%3E%3Cstyle%3Esvg%7Bfill%3A%23CEF582%7D%3C%2Fstyle%3E%3Cpath%20d%3D%22M416%20208c0%2045.9-14.9%2088.3-40%20122.7L502.6%20457.4c12.5%2012.5%2012.5%2032.8%200%2045.3s-32.8%2012.5-45.3%200L330.7%20376c-34.4%2025.2-76.8%2040-122.7%2040C93.1%20416%200%20322.9%200%20208S93.1%200%20208%200S416%2093.1%20416%20208zM208%20352a144%20144%200%201%200%200-288%20144%20144%200%201%200%200%20288z%22%2F%3E%3C%2Fsvg%3E);
Line 2,026: Line 2,025:
background-color: var(--dark-bg-color);
background-color: var(--dark-bg-color);
border: 1px solid var(--dark-2-bg-color);
border: 1px solid var(--dark-2-bg-color);
}
#preferences .mw-htmlform-submit-buttons {
background-color: var(--dark-bg-color);
border-top: 1px solid var(--dark-border-color);
}
}


Line 2,086: Line 2,090:
border-radius: 5px;
border-radius: 5px;
margin-bottom: 2px;
margin-bottom: 2px;
}
.cdx-button:enabled, .cdx-button.cdx-button--fake-button--enabled {
color: var(--text-color);
border-color: var(--dark-border-color);
}
.cdx-button:enabled:hover, .cdx-button.cdx-button--fake-button--enabled:hover {
color: var(--text-color);
}
}


Line 2,634: Line 2,647:
span.mpcommonheaderlang {
span.mpcommonheaderlang {
font-size: 80%;
font-size: 80%;
}
/* Help icon */
#mw-indicator-mw-helplink a {
background-image: linear-gradient(transparent, transparent), var(--image-indicator-help-icon);
}
}


Line 3,198: Line 3,204:
background: var(--dark-border-color);
background: var(--dark-border-color);
border: 1px dashed var(--light-border-color);
border: 1px dashed var(--light-border-color);
}
.ext-WikiEditor-ResizingDragBar {
background-color: var(--light-3-bg-color);
}
.ext-WikiEditor-ResizingDragBar-ns {
border-top: 1px solid var(--light-border-color);
}
.ext-WikiEditor-ResizingDragBar span {
background-color: var(--text-color);
}
}


Line 3,617: Line 3,635:
.mw-rcfilters-ui-overlay .oo-ui-iconElement-icon:not(.oo-ui-image-invert):not(.oo-ui-image-progressive):hover {
.mw-rcfilters-ui-overlay .oo-ui-iconElement-icon:not(.oo-ui-image-invert):not(.oo-ui-image-progressive):hover {
filter: var(--icon-color-hover-filter);
filter: var(--icon-color-hover-filter);
}
@supports (-webkit-mask-image:none) or (mask-image:none) {
#mw-indicator-mw-helplink a .mw-helplink-icon {
background-color: var(--text-color);
}
}
}